#
# spec file for package gnome-mime-data (Version 2.4.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db db-devel desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip indent info insserv intltool klogd less libacl libattr libcom_err libdrm libgcc libidl libidl-devel libjpeg libnscd libpng libpng-devel libstdc++ libstdc++-devel libtool libxcrypt libxml2 libxml2-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gnome-mime-data
BuildRequires:  db-devel gcc-c++ gnome-common gtk2-devel indent intltool libidl-devel libxml2-devel orbit2-devel perl-XML-Parser update-desktop-files
%define prefix /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GPL
Group:          System/GUI/GNOME
Autoreqprov:    on
Version:        2.4.2
Release:        22.2
Summary:        MIME Type and Application Database for the GNOME 2.x Desktop
Source:         gnome-mime-data-%{version}.tar.bz2
Patch:          mozilla-call.dif
Patch1:         %{name}-%{version}-apps.patch
Patch2:         gnome-mime-data-more-apps.patch
Patch3:         gnome-mime-data-realplay.patch
Patch4:         gnome-mime-data-ooo.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       gnome-filesystem
BuildArchitectures: noarch

%description
This module contains the base MIME and application database for GNOME.
It is meant to be accessed through the MIME functions in GNOMEVFS.



%debug_package
%prep
%setup -q 
%patch
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
aclocal
automake --add-missing --force
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} --sysconfdir=%{sysconfdir} --libdir=%{prefix}/%_lib
make -s CFLAGS="$RPM_OPT_FLAGS" 

%install
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%{prefix}/%_lib/pkgconfig $RPM_BUILD_ROOT%{prefix}/share
rmdir $RPM_BUILD_ROOT%{prefix}/%_lib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config %{sysconfdir}/gnome-vfs-mime-magic
%{prefix}/share/mime-info/*
%{prefix}/share/application-registry/*
%{prefix}/share/locale/*/LC_MESSAGES/*.mo
%{prefix}/share/pkgconfig/gnome-mime-data-2.0.pc

%changelog -n gnome-mime-data
* Mon Mar 27 2006 - sbrabec@suse.cz
- Build as noarch.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jul 27 2005 - sbrabec@suse.cz
- Don't create KDE links (#85839).
* Mon Nov 22 2004 - gekker@suse.de
- Update to version 2.4.2
* Tue Nov 02 2004 - ro@suse.de
- locale rename: no -> nb
* Mon Sep 06 2004 - hhetter@suse.de
- remove Firefox mime and vfs patches for SULi 9.2
- default to epiphany
* Wed Sep 01 2004 - dave@suse.de
- Changed defaults from epiphany to firefox.
* Wed Sep 01 2004 - shprasad@suse.de
- Modified the string 'Web Browser' to 'Firefox Web Browser'.
* Tue Aug 31 2004 - sagarwal@suse.de
- modified gnome-vfs.applications to replace the string firerox
  with Web-Browser
* Sat Aug 28 2004 - sagarwal@suse.de
- Added firefox in the firefox in the gnome-vfs.applications and
  changed gnome-vfs.keys.in to make firefox as the default application
  for text/html. All these to make firefox as the default NLD browser.
* Thu Aug 26 2004 - mmichael@suse.de
- Marked OO.o up as a handler for wordperfect files, pwrt
  application/wordperfect mime-type
- Marked OO.o as capable of handling VFS uris.
* Tue Aug 24 2004 - dave@suse.de
- Changed handler for media types to realplayer, ximian bug #61007
- Removed epiphany as a bittorrent handler, ximian bug #62078
* Fri Aug 06 2004 - clahey@suse.de
- Changed smil handler to RealPlayer.
* Tue Jul 06 2004 - jody@suse.de
- Add a few more application preferences.  This is a mess.  It should get
  broken into smaller chunks
- ggv, gedit, openoffice, acroreader, eog, epiphany, realplayer
* Wed Jun 02 2004 - mibarra@suse.de
- Call OpenOffice with the correct binary name.
* Mon Feb 09 2004 - hhetter@suse.de
- updated to version 2.4.1 [GNOME 2.4.2]
- adapt KDE Office application patch
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Mon Oct 20 2003 - ro@suse.de
- run autotools manually
* Fri Oct 03 2003 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Mon Sep 08 2003 - sbrabec@suse.cz
- Call OpenOffice and KOffice properly (bug #30276).
* Mon Sep 08 2003 - sbrabec@suse.cz
- Open ducuments with GNOME2 branches of GIMP and AbiWord by default.
* Thu Jul 24 2003 - hhetter@suse.de
- %%_lib fixes
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jun 19 2003 - sbrabec@suse.cz
- Updated to version 2.2.1.
- Fixed neededforbuild, Requires and directory packaging.
* Sat Jun 07 2003 - coolo@suse.de
- add symlink so KDE finds the icons
* Tue Feb 25 2003 - hhetter@suse.de
- register mozilla with the --url option (#23790)
* Mon Feb 10 2003 - hhetter@suse.de
- updated to version 2.2.0 [GNOME 2.2.0]
* Mon Oct 21 2002 - sbrabec@suse.cz
- Update to version 2.0.1.
- Updated %%files.
* Wed Sep 18 2002 - ro@suse.de
- removed bogus self-provides
* Fri Jun 14 2002 - hhetter@suse.de
- updated to version 2.0.0
* Wed May 29 2002 - hhetter@suse.de
- udpated to mime type database 1.0.8
- added document pixmap directory
* Tue May 14 2002 - ro@suse.de
- move pkgconfig file to correct libdir
* Tue Apr 09 2002 - hhetter@suse.de
- update to version 1.0.6 [gnome desktop beta3]
* Fri Feb 01 2002 - hhetter@suse.de
- updated to version 1.0.2 [gnome desktop alpha2]
- removed no longer needed patch for build
* Thu Jan 17 2002 - hhetter@suse.de
- prefix to /opt/gnome2
* Wed Jan 09 2002 - hhetter@suse.de
- added gnome-common to #neededforbuild
* Tue Jan 08 2002 - hhetter@suse.de
- initial SuSE Release for GNOME 2.0 platform
